# FAXPP_Event Struct Reference

A structure containing event information, returned by the parser. More...

`#include <event.h>`

## Data Fields
FAXPP_EventType | type
| The type of the event.
FAXPP_Text | prefix
| The prefix of the event.
FAXPP_Text | uri
| The URI of the event.
FAXPP_Text | name
| The name of the event.
FAXPP_Text | value
| The value of the event.
unsigned int | attr_count
| The number of attributes in the event.
FAXPP_Attribute * | attrs
| Array of attributes.
FAXPP_Text | version
| The version of the event.
FAXPP_Text | encoding
| The encoding of the event.
FAXPP_Text | standalone
| The standalone status of the event.
FAXPP_Text | system_id
| The system literal of the event.
FAXPP_Text | public_id
| The public ID literal of the event.
unsigned int | line
| The line number of the start of the event.
unsigned int | column
| The column number of the start of the event.
## Related Functions
(Note that these are not member functions.)
const char * | FAXPP_event_to_string (FAXPP_EventType type)
| Returns a string describing the given event type.

## Detailed Description

A structure containing event information, returned by the parser.

Examples:

  output_event.c.

Definition at line 82 of file event.h.

## Friends And Related Function Documentation

const char * FAXPP_event_to_string | ( | FAXPP_EventType | type | ) | `[related]`

Returns a string describing the given event type.

Parameters:

  | type | The event type

Returns:
  a string

## Field Documentation

FAXPP_EventType FAXPP_Event::type

The type of the event.

Examples:
  output_event.c.

Definition at line 83 of file event.h.

FAXPP_Text FAXPP_Event::prefix

The prefix of the event.

Present for event types DOCTYPE_EVENT, START_ELEMENT_EVENT, SELF_CLOSING_ELEMENT_EVENT, and END_ELEMENT_EVENT

Examples:
  output_event.c.

Definition at line 85 of file event.h.

FAXPP_Text FAXPP_Event::uri

The URI of the event.

Present for event types START_ELEMENT_EVENT, SELF_CLOSING_ELEMENT_EVENT, and END_ELEMENT_EVENT

Examples:
  output_event.c.

Definition at line 86 of file event.h.

FAXPP_Text FAXPP_Event::name

The name of the event.

Present for event types DOCTYPE_EVENT, START_ELEMENT_EVENT, SELF_CLOSING_ELEMENT_EVENT, END_ELEMENT_EVENT, PI_EVENT, ENTITY_REFERENCE_EVENT, DEC_CHAR_REFERENCE_EVENT, and HEX_CHAR_REFERENCE_EVENT

Examples:
  output_event.c.

Definition at line 89 of file event.h.

FAXPP_Text FAXPP_Event::value

The value of the event.

Present for event types CHARACTERS_EVENT, CDATA_EVENT, IGNORABLE_WHITESPACE_EVENT, COMMENT_EVENT, PI_EVENT, ENTITY_REFERENCE_EVENT, DEC_CHAR_REFERENCE_EVENT, and HEX_CHAR_REFERENCE_EVENT

Examples:
  output_event.c.

Definition at line 93 of file event.h.

unsigned int FAXPP_Event::attr_count

The number of attributes in the event.

Present for event types START_ELEMENT_EVENT, and SELF_CLOSING_ELEMENT_EVENT

Definition at line 95 of file event.h.

FAXPP_Attribute* FAXPP_Event::attrs

Array of attributes.

Present for event types START_ELEMENT_EVENT, and SELF_CLOSING_ELEMENT_EVENT

Examples:
  output_event.c.

Definition at line 96 of file event.h.

FAXPP_Text FAXPP_Event::version

The version of the event.

Present for event types START_DOCUMENT_EVENT and START_EXTERNAL_ENTITY_EVENT

Examples:
  output_event.c.

Definition at line 98 of file event.h.

FAXPP_Text FAXPP_Event::encoding

The encoding of the event.

Present for event types START_DOCUMENT_EVENT and START_EXTERNAL_ENTITY_EVENT

Examples:
  output_event.c.

Definition at line 99 of file event.h.

FAXPP_Text FAXPP_Event::standalone

The standalone status of the event.

Present only for the START_DOCUMENT_EVENT event type

Examples:
  output_event.c.

Definition at line 100 of file event.h.

FAXPP_Text FAXPP_Event::system_id

The system literal of the event.

Present for event types DOCTYPE_EVENT and ENTITY_REFERENCE_EVENT

Examples:
  output_event.c.

Definition at line 102 of file event.h.

FAXPP_Text FAXPP_Event::public_id

The public ID literal of the event.

Present for event types DOCTYPE_EVENT and ENTITY_REFERENCE_EVENT

Examples:
  output_event.c.

Definition at line 103 of file event.h.

unsigned int FAXPP_Event::line

The line number of the start of the event.

Definition at line 105 of file event.h.

unsigned int FAXPP_Event::column

The column number of the start of the event.

Definition at line 106 of file event.h.

The documentation for this struct was generated from the following file:

- event.h